#ifndef MODULE_MQTT_FABACADEMY
#define MODULE_MQTT_FABACADEMY

#include "wifiFabAcademy.h" //wifi library defined for this assignment

#include <PubSubClient.h> //MQTT

//variables definition
//MQTT server variables
extern const char* mqtt_server;
extern const int mqtt_port;
extern WiFiClient espClient;
extern const char* mqttServerStatus;
extern PubSubClient MQTTclient;

extern String msgReceived;  //message received from MQTT
extern String msgSend;      //message to be sent by MQTT
extern char* mqttSensorTopic;
extern char* mqttOLEDTopic;

void mqttMessageCallback(char* topic, byte* payload, unsigned int length);
void setupMqttClient();
void mqttSubscribeTopic(char* topic);
void mqttPublishMessage(const char* topic, const char* payload);
void mqttReconnect();
int handleMQTTClient();

#endif
